Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: rome
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# If you still don't have a full portals-bridges build,
# give rpmbuild option '--with nodemo'
%define with_nodemo %{?_with_nodemo:1}%{!?_with_nodemo:0}
%define without_nodemo %{!?_with_nodemo:1}%{?_with_nodemo:0}

%define bname   jetspeed

Name:           portals-%{bname}2
Version:        2.1.3
Release:        alt2_3jpp5
Epoch:          0
Summary:        Jetspeed2 Enterprise Portal
License:        Apache Software License 2.0
Url:            http://excalibur.apache.org/
Group:          Development/Java
Source0:        http://www.apache.org/dist/portals/jetspeed-2/sources/jetspeed-2.1.3-src.tar.gz

Source2:        %{name}-jpp-depmap.xml
Source3:        %{name}-settings.xml

Patch0:         portals-jetspeed2-components-capabilities-pom.patch
Patch1:         portals-jetspeed2-components-jetspeed-pom.patch
Patch2:         portals-jetspeed2-components-page-manager-pom.patch
Patch3:         portals-jetspeed2-components-portal-pom.patch
Patch4:         portals-jetspeed2-components-serializer-pom.patch
Patch5:         portals-jetspeed2-noservers-pom.patch
Patch6:         portals-jetspeed2-applications-nodemo.patch
Patch7:         portals-jetspeed2-maven-plugin-project.patch
BuildRequires: jpackage-utils >= 0:1.7.5
BuildRequires: ant >= 0:1.6.5
BuildRequires: ant-nodeps
BuildRequires: antlr
BuildRequires: jmock
BuildRequires: junit
BuildRequires: maven2 >= 0:2.0.7
BuildRequires: maven2-plugin-antrun
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-ear
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-project-info-reports
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-site
BuildRequires: maven2-plugin-war
BuildRequires: maven2-default-skin
BuildRequires: maven >= 0:1.1
BuildRequires: maven-plugins-base
BuildRequires: maven-plugin-license
BuildRequires: maven-plugin-test
BuildRequires: maven-artifact-ant
BuildRequires: maven-surefire-plugin
BuildRequires: mockrunner

BuildRequires: aopalliance
BuildRequires: excalibur-avalon-framework-api
BuildRequires: excalibur-avalon-logkit
BuildRequires: batik
BuildRequires: castor
BuildRequires: cglib
BuildRequires: db-torque-gen-templates
BuildRequires: db-torque
BuildRequires: db-torque-gen
BuildRequires: db-torque-maven-plugin
BuildRequires: jakarta-commons-beanutils
BuildRequires: jakarta-commons-betwixt
BuildRequires: jakarta-commons-codec
BuildRequires: jakarta-commons-collections
BuildRequires: jakarta-commons-configuration
BuildRequires: jakarta-commons-dbcp
BuildRequires: jakarta-commons-digester
BuildRequires: jakarta-commons-el
BuildRequires: jakarta-commons-fileupload
BuildRequires: jakarta-commons-httpclient
BuildRequires: jakarta-commons-io
BuildRequires: jakarta-commons-lang
BuildRequires: jakarta-commons-logging
BuildRequires: jakarta-commons-pool
BuildRequires: jakarta-commons-validator
BuildRequires: jakarta-taglibs-standard
BuildRequires: jakarta-taglibs-supported-random
BuildRequires: jakarta-taglibs-supported-request

BuildRequires: apache-jdo-1.1-api
BuildRequires: apache-jdo-1.1-impl
BuildRequires: apacheds10-core
BuildRequires: castor-xml
BuildRequires: db-ddlutils
BuildRequires: db-ojb
BuildRequires: derby
BuildRequires: ehcache
BuildRequires: xmlgraphics-fop
BuildRequires: geronimo-specs
BuildRequires: gnu-getopt
BuildRequires: hsqldb
BuildRequires: apache-ibatis-sqlmap
BuildRequires: javolution
BuildRequires: jaxen
BuildRequires: jboss4-j2ee
BuildRequires: jdom
BuildRequires: lucene22
BuildRequires: mx4j
BuildRequires: log4j
BuildRequires: myfaces-core11-api
BuildRequires: myfaces-core11-impl
BuildRequires: myfaces-tomahawk
BuildRequires: nekohtml
BuildRequires: oro
BuildRequires: portals-pluto10
BuildRequires: portlet_1_0_api
BuildRequires: regexp
BuildRequires: servlet_2_3_api
BuildRequires: spring2-all
BuildRequires: spring2-beans
BuildRequires: spring2-context
BuildRequires: spring2-context-support
BuildRequires: spring2-core
BuildRequires: spring2-tx
BuildRequires: spring2-web
BuildRequires: spring2-webmvc
BuildRequires: spring2-webmvc-portlet
BuildRequires: spring-jdbc
BuildRequires: spring-orm

BuildRequires: struts
BuildRequires: glassfish-javamail
BuildRequires: tyrex
BuildRequires: velocity
BuildRequires: velocity-tools
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-jaxp-1.3-apis
BuildRequires: xpp3-minimal
BuildRequires: portals-bridges-common
%if %{without_nodemo}
BuildRequires: portals-bridges-groovy
BuildRequires: portals-bridges-demo
%endif
BuildRequires: portals-bridges-velocity
BuildRequires: portals-bridges-frameworks
BuildRequires: portals-bridges-jsf
BuildRequires: portals-bridges-portletfilter
#BuildRequires:  portals-bridges-perl
#BuildRequires:  portals-bridges-php
#BuildRequires:  portals-bridges-struts
#BuildRequires:  phpportlet
BuildRequires: rome


Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

BuildArch:      noarch

%description
Jetspeed-2 is the next-generation enterprise portal at Apache. 
Jetspeed-2 offers several architectural enhancements and 
improvements over Jetspeed 1.0. First, Jetspeed-2 is conformant 
to the Java Portlet Standard and will provide a standard 
mechanism for the deployment of portlets. Second, Jetspeed-2 
has matured to a more scalable architecture featuring 
multi-threaded functionality. Third, Jetspeed-2 is decoupled 
from several legacy open source projects. Fourth, Jetspeed-2 
is based on a component architecture. 
Jetspeed is an Open Source implementation of an Enterprise 
Information Portal, using Java and XML. A portal makes network 
resources (applications, databases and so forth) available to 
end-users. The user can access the portal via a web browser, 
WAP-phone, pager or any other device. Jetspeed acts as the 
central hub where information from multiple sources are made 
available in an easy to use manner. 
The data presented via Jetspeed is independent of content type. 
This means that content from for example XML,RSS or SMTP can be 
integrated with Jetspeed. The actual presentation of the data is 
handled via ates XSL and delivered to the user for example via 
the combination of Java Server Pages (JSPs) and HTML. Jetspeed 
provides support for templating and content publication 
frameworks such as Cocoon, WebMacro and Velocity. Note that 
outside of regular browser Jetspeed also supports WAP devices. 

%package poms
Summary:        POMS for %{name}
Group:          Development/Java
Requires: apache-portlet-1.0-api
Requires: excalibur-avalon-logkit
Requires: excalibur-avalon-framework
Requires: isorelax
Requires: msv
Requires: portals-pluto10
Requires: portals-bridges-common
Requires: relaxngDatatype
Requires: servlet_api

%description poms
%{summary}.


%package maven-plugin
Summary:        Maven plugin for %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}
Requires: maven
Requires: hsqldb

%description maven-plugin
%{summary}.

%package maven2-archetypes
Summary:        Maven archetypes for %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}

%description maven2-archetypes
%{summary}.

%package ant-tasks
Summary:        Ant tasks of %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}
Requires: ant >= 0:1.6.5

%description ant-tasks
%{summary}.

%package api
Summary:        API of %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}

%description api
%{summary}.

%package commons
Summary:        Common utils of %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}
Requires: %{name}-api

%description commons
%{summary}.

%package components
Summary:        Components of %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}
Requires: %{name}-api
Requires: %{name}-commons
Requires: apache-jdo-1.1-api
Requires: apache-jdo-1.1-impl
Requires: aopalliance
Requires: asm2
Requires: castor-xml
Requires: cglib
Requires: commonj_1_1_apis
Requires: db-ddlutils
Requires: ehcache
Requires: jakarta-commons-beanutils
Requires: jakarta-commons-betwixt
Requires: jakarta-commons-codec
Requires: jakarta-commons-collections
Requires: jakarta-commons-configuration
Requires: jakarta-commons-dbcp
Requires: jakarta-commons-digester
Requires: jakarta-commons-fileupload
Requires: jakarta-commons-httpclient
Requires: jakarta-commons-io
Requires: jakarta-commons-lang
Requires: jakarta-commons-logging
Requires: jakarta-taglibs-supported-random
Requires: jakarta-oro
Requires: javolution
Requires: jaxen
Requires: jdom
Requires: jaf_api
Requires: javamail_api
Requires: jta_api
Requires: junit
Requires: log4j
Requires: lucene22
Requires: nekohtml
Requires: db-ojb
Requires: portals-bridges-velocity
Requires: saxpath
Requires: spring-orm
Requires: spring2-all
Requires: spring2-core
Requires: tyrex
Requires: velocity
Requires: velocity-tools
Requires: xerces-j2
Requires: xml-commons-jaxp-1.3-apis

%description components
%{summary}.

%if %{without_nodemo}
%package app-servers
Summary:        App Server stuff of %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}
Requires: %{name}-api
Requires: %{name}-components
Requires: %{name}-demo
Requires: %{name}-applications
Requires: portlet_1_0_api


%description app-servers
%{summary}.
%endif

%package taglibs
Summary:        Taglibs of %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}
Requires: portlet_1_0_api
Requires: servlet_2_3_api

%description taglibs
%{summary}.

%package portals-gems
Summary:        Gems for %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}
Requires: jakarta-commons-dbcp
Requires: jakarta-commons-httpclient
Requires: jakarta-commons-lang
Requires: jakarta-commons-logging
Requires: portals-bridges-velocity
Requires: spring2-webmvc-portlet
Requires: spring2-beans
Requires: velocity

%description portals-gems
%{summary}.

%package layout-portlets
Summary:        Layout portlets of %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}
Requires: %{name}-api
Requires: %{name}-commons
Requires: %{name}-components
Requires: jakarta-commons-configuration
Requires: jakarta-commons-logging

%description layout-portlets
%{summary}.

%package applications
Summary:        Applications of %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}
Requires: %{name}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-commons = %{epoch}:%{version}-%{release}
Requires: %{name}-components = %{epoch}:%{version}-%{release}
Requires: %{name}-portals-gems = %{epoch}:%{version}-%{release}
Requires: %{name}-taglibs = %{epoch}:%{version}-%{release}
Requires: apache-jdo-1.1-api
Requires: apache-jdo-1.1-impl
Requires: jakarta-commons-collections
Requires: jakarta-commons-digester
Requires: jakarta-commons-fileupload
Requires: jakarta-commons-io
Requires: jakarta-commons-lang
Requires: jakarta-commons-logging
Requires: jakarta-oro
Requires: jakarta-taglibs-standard
Requires: jakarta-taglibs-supported-request
Requires: jdom
Requires: log4j
Requires: myfaces-core11-api
Requires: myfaces-core11-impl
Requires: portals-bridges-frameworks
Requires: portals-bridges-jsf
Requires: portals-bridges-portletfilter
Requires: portals-bridges-velocity
Requires: rome
Requires: spring2-all
Requires: spring2-beans
Requires: spring2-context
Requires: spring2-context-support
Requires: spring2-core
Requires: spring2-web
Requires: spring2-webmvc
Requires: spring2-webmvc-portlet
Requires: velocity
Requires: velocity-tools
Requires: xalan-j2
Requires: xerces-j2
Requires: xml-commons-jaxp-1.3-apis

%description applications
%{summary}.

%if %{without_nodemo}
%package demo
Summary:        Examples of %{name}
Group:          Development/Java
Requires: %{name}-poms = %{epoch}:%{version}-%{release}
Requires: %{name}-components = %{epoch}:%{version}-%{release}
Requires: %{name}-portals-gems = %{epoch}:%{version}-%{release}
Requires: antlr
Requires: asm2
Requires: castor-xml
Requires: groovy11
Requires: jakarta-commons-collections
Requires: jakarta-commons-digester
Requires: jakarta-commons-lang
Requires: jakarta-commons-logging
Requires: jakarta-oro
Requires: jakarta-taglibs-standard
Requires: jakarta-taglibs-supported-request
Requires: log4j
Requires: portals-bridges-groovy
Requires: portals-bridges-velocity
Requires: velocity
Requires: velocity-tools

%description demo
%{summary}.
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description javadoc
%{summary}.


%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description manual
%{summary}.

%prep
%setup -q -n %{bname}-%{version}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
       mv $j $j.no
done
# mkdir -p app-servers/security/jboss/xdocs
# cp %{SOURCE5} app-servers/security/jboss/xdocs/navigation.xml

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%if %{with_nodemo}
%patch5 -b .sav5
%patch6 -b .sav6
%endif
%patch7 -b .sav7

%build
cp %{SOURCE3} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

#export JAVA_HOME=%{_jvmdir}/java-1.5.0


export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
export M11_HOME_LOCAL=`pwd`/m11_repo
mkdir -p m11_repo/repository/org.apache.portals.jetspeed-2/jars/

cd src

mvn-jpp -e \
         -s ${M2SETTINGS} \
         -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
         -Dmaven2.jpp.depmap.file=%{SOURCE2} \
       install:install-file -DgroupId=rome -DartifactId=rome \
                 -Dversion=0.8 -Dpackaging=jar -Dfile=$(build-classpath rome-0.9)
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        install 

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Daggregate=true \
        -Dmaxmemory=512m \
        javadoc:javadoc site

cp jetspeed-api/target/jetspeed-api-2.1.3.jar ../m11_repo/repository/org.apache.portals.jetspeed-2/jars/
cp components/deploy-tool/target/jetspeed-deploy-tools-2.1.3.jar ../m11_repo/repository/org.apache.portals.jetspeed-2/jars/

cd maven-plugin
maven     \
        -Dmaven.repo.remote=file:///usr/share/maven/repository \
        -Dmaven.home.local=$M11_HOME_LOCAL \
        jar:install


%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/applications
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

cd src
install -m 644 \
pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-2 %{version} JPP/%{name} %{bname}

install -m 644 \
maven-plugin/target/maven-jetspeed2-plugin-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/maven-jetspeed2-plugin-%{version}.jar

install -m 644 \
ant-tasks/target/ant-tasks-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/ant-tasks-%{version}.jar
install -m 644 \
ant-tasks/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ant-tasks.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 ant-tasks %{version} JPP/%{name} ant-tasks

install -m 644 \
jetspeed-api/target/%{bname}-api-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-api-%{version}.jar
install -m 644 \
jetspeed-api/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-api.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-api %{version} JPP/%{name} %{bname}-api

#install -m 644 \
#portlet-api/target/portlet-api-1.0.jar \
#$RPM_BUILD_ROOT%{_javadir}/%{name}/portlet-1.0-api-%{version}.jar


install -m 644 \
commons/target/%{bname}-commons-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-commons-%{version}.jar
install -m 644 \
commons/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-commons.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-commons %{version} JPP/%{name} %{bname}-commons

install -m 644 \
components/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-components.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 components %{version} JPP/%{name} components

install -m 644 \
components/capability/target/%{bname}-capability-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-capability-%{version}.jar
install -m 644 \
components/capability/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-capability.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-capability %{version} JPP/%{name} %{bname}-capability

install -m 644 \
components/cm/target/%{bname}-cm-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-cm-%{version}.jar
install -m 644 \
components/cm/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-cm.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-cm %{version} JPP/%{name} %{bname}-cm

install -m 644 \
components/deploy-tool/target/%{bname}-deploy-tools-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-deploy-tools-%{version}.jar
install -m 644 \
components/deploy-tool/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-deploy-tools.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-deploy-tools %{version} JPP/%{name} %{bname}-deploy-tools

install -m 644 \
components/file-cache/target/%{bname}-file-cache-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-file-cache-%{version}.jar
install -m 644 \
components/file-cache/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-file-cache.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-file-cache %{version} JPP/%{name} %{bname}-file-cache

install -m 644 \
components/header-resource/target/%{bname}-header-resource-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-header-resource-%{version}.jar
install -m 644 \
components/header-resource/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-header-resource.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-header-resource %{version} JPP/%{name} %{bname}-header-resource

install -m 644 \
components/id-generator/target/%{bname}-id-generator-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-id-generator-%{version}.jar
install -m 644 \
components/id-generator/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-id-generator.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-id-generator %{version} JPP/%{name} %{bname}-id-generator

install -m 644 \
components/jetspeed/target/%{bname}-components-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-components-%{version}.jar
install -m 644 \
components/jetspeed/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-components.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-components %{version} JPP/%{name} %{bname}-components

install -m 644 \
components/locator/target/%{bname}-locator-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-locator-%{version}.jar
install -m 644 \
components/locator/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-locator.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-locator %{version} JPP/%{name} %{bname}-locator

install -m 644 \
components/page-manager/target/%{bname}-page-manager-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-page-manager-%{version}.jar
install -m 644 \
components/page-manager/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-page-manager.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-page-manager %{version} JPP/%{name} %{bname}-page-manager

install -m 644 \
components/portal-site/target/%{bname}-portal-site-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-portal-site-%{version}.jar
install -m 644 \
components/portal-site/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-portal-site.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-portal-site %{version} JPP/%{name} %{bname}-portal-site

install -m 644 \
components/portal/target/%{bname}-portal-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-portal-%{version}.jar
install -m 644 \
components/portal/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-portal.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-portal %{version} JPP/%{name} %{bname}-portal

install -m 644 \
components/portlet-factory/target/%{bname}-portlet-factory-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-portlet-factory-%{version}.jar
install -m 644 \
components/portlet-factory/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-portlet-factory.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-portlet-factory %{version} JPP/%{name} %{bname}-portlet-factory

install -m 644 \
components/prefs/target/%{bname}-prefs-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-prefs-%{version}.jar
install -m 644 \
components/prefs/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-prefs.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-prefs %{version} JPP/%{name} %{bname}-prefs

install -m 644 \
components/profiler/target/%{bname}-profiler-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-profiler-%{version}.jar
install -m 644 \
components/profiler/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-profiler.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-profiler %{version} JPP/%{name} %{bname}-profiler

install -m 644 \
components/rdbms/target/%{bname}-rdbms-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-rdbms-%{version}.jar
install -m 644 \
components/rdbms/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-rdbms.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-rdbms %{version} JPP/%{name} %{bname}-rdbms

install -m 644 \
components/registry/target/%{bname}-registry-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-registry-%{version}.jar
install -m 644 \
components/registry/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-registry.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-registry %{version} JPP/%{name} %{bname}-registry

install -m 644 \
components/rewriter/target/%{bname}-rewriter-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-rewriter-%{version}.jar
install -m 644 \
components/rewriter/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-rewriter.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-rewriter %{version} JPP/%{name} %{bname}-rewriter

install -m 644 \
components/search/target/%{bname}-search-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-search-%{version}.jar
install -m 644 \
components/search/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-search.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-search %{version} JPP/%{name} %{bname}-search

install -m 644 \
components/security/target/%{bname}-security-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-security-%{version}.jar
install -m 644 \
components/security/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-security.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-security %{version} JPP/%{name} %{bname}-security

install -m 644 \
components/serializer/target/%{bname}-serializer-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-serializer-%{version}.jar
install -m 644 \
components/serializer/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-serializer.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-serializer %{version} JPP/%{name} %{bname}-serializer

install -m 644 \
components/sso/target/%{bname}-sso-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-sso-%{version}.jar
install -m 644 \
components/sso/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-sso.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-sso %{version} JPP/%{name} %{bname}-sso

install -m 644 \
components/statistics/target/%{bname}-statistics-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-statistics-%{version}.jar
install -m 644 \
components/statistics/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-statistics.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-statistics %{version} JPP/%{name} %{bname}-statistics

install -m 644 \
components/webapp-logging/target/%{bname}-webapp-logging-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-webapp-logging-%{version}.jar
install -m 644 \
components/webapp-logging/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-webapp-logging.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-webapp-logging %{version} JPP/%{name} %{bname}-webapp-logging

install -m 644 \
components/web-content/target/%{bname}-web-content-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-web-content-%{version}.jar
install -m 644 \
components/web-content/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-web-content.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-web-content %{version} JPP/%{name} %{bname}-web-content

install -m 644 \
taglibs/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-taglibs.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-taglibs %{version} JPP/%{name} %{bname}-taglibs
install -m 644 \
taglibs/treecontrol/target/jetspeed2-taglib-treecontrol-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jetspeed2-taglib-treecontrol-%{version}.jar
install -m 644 \
taglibs/treecontrol/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-taglib-treecontrol.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-taglib-treecontrol %{version} JPP/%{name} %{bname}-taglib-treecontrol

install -m 644 \
layout-portlets/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-layout-portlets.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 layout-portlets %{version} JPP/%{name} layout-portlets
install -m 644 \
layout-portlets/layout-portlets-jar/target/jetspeed-layout-portlets-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-layout-portlets-%{version}.jar
install -m 644 \
layout-portlets/layout-portlets-jar/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-layout-portlets.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-layout-portlets %{version} JPP/%{name} %{bname}-layout-portlets
install -m 644 \
layout-portlets/layout-portlets-war/target/jetspeed-layouts-%{version}.war \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/applications/%{bname}-layouts-%{version}.war
install -m 644 \
layout-portlets/layout-portlets-war/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.applications-%{bname}-layouts.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-layouts %{version} JPP/%{name}/applications %{bname}-layouts


install -m 644 \
applications/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{bname}-applications.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 applications %{version} JPP/%{name} %{bname}-applications

install -m 644 \
applications/gems/target/portals-gems-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/portals-gems-%{version}.jar
install -m 644 \
applications/gems/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-portals-gems.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 portals-gems %{version} JPP/%{name} portals-gems

%if %{without_nodemo}

install -m 644 \
applications/demo/target/demo-%{version}.war \
$RPM_BUILD_ROOT%{_javadir}/%{name}/applications
install -m 644 \
applications/demo/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.applications-demo.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 demo %{version} JPP/%{name}/applications demo

install -m 644 \
applications/j2-admin/target/j2-admin-%{version}.war \
$RPM_BUILD_ROOT%{_javadir}/%{name}/applications
install -m 644 \
applications/j2-admin/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.applications-j2-admin.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 j2-admin %{version} JPP/%{name}/applications j2-admin

install -m 644 \
applications/rss/rss-war/target/rss-%{version}.war \
$RPM_BUILD_ROOT%{_javadir}/%{name}/applications
install -m 644 \
applications/rss/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.applications-rss.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 rss %{version} JPP/%{name}/applications rss

install -m 644 \
applications/rss/rss-jar/target/jetspeed-rss-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/rss-%{version}.jar
install -m 644 \
applications/rss/rss-jar/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rss.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 jetspeed-rss %{version} JPP/%{name} rss

install -m 644 \
maven-archetypes/application/target/application-archetype-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 \
maven-archetypes/application/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-application-archetype.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 application-archetype %{version} JPP/%{name} application-archetype

install -m 644 \
maven-archetypes/component/target/component-archetype-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 \
maven-archetypes/component/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-component-archetype.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 component-archetype %{version} JPP/%{name} component-archetype

install -m 644 \
maven-archetypes/portal-component/target/portal-component-archetype-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 \
maven-archetypes/portal-component/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-portal-component-archetype.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 portal-component-archetype %{version} JPP/%{name} portal-component-archetype

install -m 644 \
maven-archetypes/shared-component/target/shared-component-archetype-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 \
maven-archetypes/shared-component/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-shared-component-archetype.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 shared-component-archetype %{version} JPP/%{name} shared-component-archetype

install -m 644 \
maven-archetypes/portal-resources/target/portal-archetype-resources-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 \
maven-archetypes/portal-resources/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-portal-archetype-resources.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 portal-archetype-resources %{version} JPP/%{name} portal-archetype-resources

install -m 644 \
maven-archetypes/portal/target/portal-archetype-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 \
maven-archetypes/portal/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-portal-archetype.pom
%add_to_maven_depmap org.apache.portals.jetspeed-2 portal-archetype %{version} JPP/%{name} portal-archetype
%endif

(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/applications && for war in *-%{version}*.war; do ln -sf ${war} $(echo $war | sed -e 's/-%{version}//' -e 's/\.war/.jar/'); done)

# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

#install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-maven-plugin-%{version}
#cp -pr maven-plugin/target/site/apidocs/* \
#       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-maven-plugin-%{version}
#ln -s %{name}-maven-plugin-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-maven-plugin
#
#install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-portlet-api-%{version}
#cp -pr portlet-api/target/site/apidocs/* \
#       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-portlet-api-%{version}
#ln -s %{name}-portlet-api-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-portlet-api # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* \
       $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf target/site/apidocs

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.TXT $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr target/site/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%files poms
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%dir %{_javadir}/%{name}
%dir %{_javadir}/%{name}/applications

%files maven-plugin
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/maven-jetspeed2-plugin*.jar
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%if %{without_nodemo}
%files maven2-archetypes
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/application-archetype*.jar
%{_javadir}/%{name}/component-archetype*.jar
%{_javadir}/%{name}/portal-archetype*.jar
%{_javadir}/%{name}/portal-component-archetype*.jar
%{_javadir}/%{name}/shared-component-archetype*.jar
%endif
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files ant-tasks
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/ant-tasks*.jar
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files api
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/jetspeed-api*.jar
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files commons
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/jetspeed-commons*.jar
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files components
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/%{bname}-capability-%{version}.jar
%{_javadir}/%{name}/%{bname}-capability.jar
%{_javadir}/%{name}/%{bname}-cm-%{version}.jar
%{_javadir}/%{name}/%{bname}-cm.jar
%{_javadir}/%{name}/%{bname}-deploy-tools-%{version}.jar
%{_javadir}/%{name}/%{bname}-deploy-tools.jar
%{_javadir}/%{name}/%{bname}-file-cache-%{version}.jar
%{_javadir}/%{name}/%{bname}-file-cache.jar
%{_javadir}/%{name}/%{bname}-header-resource-%{version}.jar
%{_javadir}/%{name}/%{bname}-header-resource.jar
%{_javadir}/%{name}/%{bname}-id-generator-%{version}.jar
%{_javadir}/%{name}/%{bname}-id-generator.jar
%{_javadir}/%{name}/%{bname}-components-%{version}.jar
%{_javadir}/%{name}/%{bname}-components.jar
%{_javadir}/%{name}/%{bname}-locator-%{version}.jar
%{_javadir}/%{name}/%{bname}-locator.jar
%{_javadir}/%{name}/%{bname}-page-manager-%{version}.jar
%{_javadir}/%{name}/%{bname}-page-manager.jar
%{_javadir}/%{name}/%{bname}-portal-site-%{version}.jar
%{_javadir}/%{name}/%{bname}-portal-site.jar
%{_javadir}/%{name}/%{bname}-portal-%{version}.jar
%{_javadir}/%{name}/%{bname}-portal.jar
%{_javadir}/%{name}/%{bname}-portlet-factory-%{version}.jar
%{_javadir}/%{name}/%{bname}-portlet-factory.jar
%{_javadir}/%{name}/%{bname}-prefs-%{version}.jar
%{_javadir}/%{name}/%{bname}-prefs.jar
%{_javadir}/%{name}/%{bname}-profiler-%{version}.jar
%{_javadir}/%{name}/%{bname}-profiler.jar
%{_javadir}/%{name}/%{bname}-rdbms-%{version}.jar
%{_javadir}/%{name}/%{bname}-rdbms.jar
%{_javadir}/%{name}/%{bname}-registry-%{version}.jar
%{_javadir}/%{name}/%{bname}-registry.jar
%{_javadir}/%{name}/%{bname}-rewriter-%{version}.jar
%{_javadir}/%{name}/%{bname}-rewriter.jar
%{_javadir}/%{name}/%{bname}-search-%{version}.jar
%{_javadir}/%{name}/%{bname}-search.jar
%{_javadir}/%{name}/%{bname}-security-%{version}.jar
%{_javadir}/%{name}/%{bname}-security.jar
%{_javadir}/%{name}/%{bname}-serializer-%{version}.jar
%{_javadir}/%{name}/%{bname}-serializer.jar
%{_javadir}/%{name}/%{bname}-sso-%{version}.jar
%{_javadir}/%{name}/%{bname}-sso.jar
%{_javadir}/%{name}/%{bname}-statistics-%{version}.jar
%{_javadir}/%{name}/%{bname}-statistics.jar
%{_javadir}/%{name}/%{bname}-webapp-logging-%{version}.jar
%{_javadir}/%{name}/%{bname}-webapp-logging.jar
%{_javadir}/%{name}/%{bname}-web-content-%{version}.jar
%{_javadir}/%{name}/%{bname}-web-content.jar
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files layout-portlets
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/%{bname}-layout-portlets*.jar
%{_javadir}/%{name}/applications/%{bname}-layouts*
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}


%files taglibs
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/jetspeed2-taglib-treecontrol*.jar
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files portals-gems
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/portals-gems*.jar

%if %{without_nodemo}

#%files app-servers
#%defattr(0644,root,root,0755)
#%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
#%{_javadir}/%{name}/%{bname}-jboss-security-service*.jar
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files demo
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/applications/demo*
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files applications
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/rss*.jar
%{_javadir}/%{name}/applications/j2-admin*
%{_javadir}/%{name}/applications/rss*

%endif
# hack; explicitly added docdir if not owned
%doc %dir %{_docdir}/%{name}-%{version}

%files manual
%doc %{_docdir}/%{name}-%{version}


%changelog
* Fri Jun 05 2009 Igor Vlasenko <viy@altlinux.ru> 0:2.1.3-alt2_3jpp5
- full-fledged build

* Thu Jun 04 2009 Igor Vlasenko <viy@altlinux.ru> 0:2.1.3-alt1_3jpp5
- new jpp release

